package org.kne.cloud.network;

import java.io.IOException;
import java.util.function.Consumer;

public class ServiceToSocketProxy extends Proxy{
	public NetworkService getSrc() {
		return src;
	}
	public MultipurposeSocketAddress getDes() {
		return des;
	}
	public ServiceToSocketProxy(String l, String r) {
		src=getRegister().get(l.substring(1, l.length()-1));
		des=new MultipurposeSocketAddress(r);
	}
	private NetworkService src;
	private MultipurposeSocketAddress des;
	@Override
	public void close() throws IOException {
		// TODO 自动生成的方法存根
		
	}
}
